portalUserProfile
Returns user profile by email
portalUserProfile(
companyId: ID
email: String
id: ID
): PortalUser!
Arguments
portalUserProfile.companyId ● ID scalar
The company ID to search the email
portalUserProfile.email ● String scalar
The user email to search
portalUserProfile.id ● ID scalar
The user id to search
Type
PortalUser object
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetPortalUserProfile {\n portalUserProfile { id name accesses { id label type } }\n}","variables":{}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetPortalUserProfile {\n portalUserProfile { id name accesses { id label type } }\n}",
variables: {},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetPortalUserProfile {\n portalUserProfile { id name accesses { id label type } }\n}",
'variables': json.loads("{}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute